Package org.apache.tomcat.dbcp.pool2

## Class BaseObject

- java.lang.Object
- - org.apache.tomcat.dbcp.pool2.BaseObject

Direct Known Subclasses:
  `BaseGenericObjectPool`, `BaseObjectPool`, `BaseObjectPoolConfig`

    public abstract class BaseObject
    extends Object

A base class for common functionality.

Since:
  2.4.3

### Constructor Summary

Constructors
`BaseObject()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`
`protected void` `toStringAppendFields​(StringBuilder builder)` Used by sub-classes to include the fields defined by the sub-class in the `toString()` output.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BaseObject

    public BaseObject()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### toStringAppendFields

    protected void toStringAppendFields​(StringBuilder builder)

Used by sub-classes to include the fields defined by the sub-class in the `toString()` output.

Parameters:
  `builder` - Field names and values are appended to this object